Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-icon-theme
Version:	2.22.0
Release:	1
License:	GNU/GPL 
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A set of icons for GNOME 2 desktop.
BuildArch: 	noarch
BuildRequires: 	icon-naming-utils
BuildRequires:	perl-XML-Parser
BuildRequires: 	pkg-config
BuildRequires: 	gettext
BuildRequires: 	librsvg
Requires: 	hicolor-icon-theme
Requires: 	pkg-config
Prereq: 	gtk2+

%description
Contains the base icons needed by the Gnome desktop environment.

%prep
%setup -q

%build
%configure --disable-hicolor-check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## remove these bogus files
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*

rm -rf $RPM_BUILD_ROOT/usr/share/icons/gnome/*/apps/susehelpcenter.*

## create some missing icons
cd $RPM_BUILD_ROOT%{_datadir}/icons/gnome
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/places
#rsvg-convert -h 48 -w 48 scalable/categories/applications-accessories.svg -o 48x48/categories/applications-accessories.png 
#rsvg-convert -h 48 -w 48 scalable/categories/applications-games.svg -o 48x48/categories/applications-games.png 
#rsvg-convert -h 48 -w 48 scalable/categories/applications-internet.svg -o 48x48/categories/applications-internet.png 
#rsvg-convert -h 48 -w 48 scalable/categories/applications-development.svg -o 48x48/categories/applications-development.png 
#rsvg-convert -h 48 -w 48 scalable/categories/preferences-system.svg -o 48x48/categories/preferences-system.png 
#rsvg-convert -h 48 -w 48 scalable/places/start-here.svg -o 48x48/places/start-here.png 

%post 
for dir in /usr/share/icons/*; do 
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet "$dir" 
    fi
  fi
done

%files
%defattr(-,root,root)
%{_datadir}/icons/gnome
#%{_datadir}/icons/hicolor
%{_datadir}/pkgconfig/gnome-icon-theme.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1 
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1 
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Tue Jan 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.17.5-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0.1-2
- clean buildchain
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0.1-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.1-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.14.0-1
- Update to Version 2.14.0
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.4-1
- Initial Release
